> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a job



## OpenAPI

````yaml https://api.seomator.com/openapi.json get /v1/jobs/{id}
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/jobs/{id}:
    get:
      tags:
        - jobs
      summary: Get a job
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Job
          content:
            application/json:
              schema:
                type: object
                properties:
                  job:
                    type: object
                    properties:
                      id:
                        type: string
                      projectId:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                        enum:
                          - queued
                          - running
                          - done
                          - failed
                      error:
                        type:
                          - string
                          - 'null'
                      chunksTotal:
                        type: number
                      chunksDone:
                        type: number
                      createdAt:
                        type: string
                      startedAt:
                        type:
                          - string
                          - 'null'
                      finishedAt:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - projectId
                      - type
                      - status
                      - error
                      - chunksTotal
                      - chunksDone
                      - createdAt
                      - startedAt
                      - finishedAt
                    additionalProperties: {}
                required:
                  - job
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [The latest job of each onboarding step](https://docs.seomator.com/api-reference/ai-visibility/the-latest-job-of-each-onboarding-step.md)
- [Propose the profile and competitors from the site](https://docs.seomator.com/api-reference/ai-visibility/propose-the-profile-and-competitors-from-the-site.md)
- [Frequently asked questions](https://docs.seomator.com/getting-started/faq.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.